#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xE3,0xF4,0xF9,0x1E,0xA6,0xA3,0xB0,0x8A,0xBA,0x13,0xF5,0x36,
		0xE6,0x76,0x65,0xAE,0x77,0x7C,0x76,0xB2,0xE9,0x81,0x2C,0x31,
		0x89,0x4F,0xD9,0xA6,0x2C,0x4F,0xAB,0xFC,0x87,0xEE,0x34,0xF4,
		0xA7,0x7C,0x30,0x5C,0x0F,0xD3,0x84,0xF7,0xBA,0x10,0x56,0xF2,
		0xD1,0xFB,0x6C,0x63,0x08,0xBC,0xEC,0x9B,0x4E,0x6D,0x08,0x79,
		0x1D,0xFC,0x6E,0x7B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
